Subject: bug#69492: File too big for Emacs?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Mar 2024 08:54:44 +0200

> Cc: J Moore <[email-masked]>, Alan Bundy <[email-masked]>,
>  Grant Passmore <[email-masked]>, [email-masked],
>  Stas Boukarev <[email-masked]>
> From: Robert Boyer <[email-masked]>
> Date: Fri, 1 Mar 2024 17:30:56 -0600
> 
> Dear Emacs bug exterminators,
> 
> The 1 gb file for which I give a url below does not seem to work in Emacs.
> 
> The file enumerates the primes below 10^9, so it would be very handy to
> have around.
> 
> I can get the file into an Emacs buffer in literal mode.  Thanks for that.
> 
> But then I cannot move to the bottom, i.e., using M->.  In fact, in the attempt to
> move to the bottom, things go so badly that I have to reboot my $100 
> Lenovo Chromebook.
> 
> Is it just too big for Emacs to handle?

Since your Emacs is a 64-bit build, a 1GB file shouldn't be too big,
provided that your system has enough virtual memory to support reading
it into memory (which might require more than 1GB, perhaps up to 2GB).
If Emacs says "Memory exhausted" when you visit that file, try
enlarging the size of swap for your system.